<?php

return [

    'model' => Drp\UserManagement\User::class,

    'controller' => \Drp\UserManagement\Http\Controllers\Admin\UsersController::class,

    'approve_controller' => \Drp\UserManagement\Http\Controllers\Admin\ApproveUsersController::class,

    'layout' => 'userManagement::layout',

    'layout-admin' => 'userManagement::layout',

    'admin-route' => 'admin.index',

    'admin-middleware' => ['web', 'auth'],

    'auth-middleware' => 'web',

    'roles' => [
        'Super Administrator',
        'Administrator',
        'User',
    ],

    'super_admin_roles' => [
        'Super Administrator',
    ],

    'admin_roles' => [
        'Administrator',
        'Super Administrator',
    ],

    'login_token_expiry_days' => 7,

    'requires_approval' => false,

    'admin_prefix' => 'admin'

];
